net.minecraft.world.chunk.storage

## Class AnvilChunkLoader

- java.lang.Object
- - net.minecraft.world.chunk.storage.AnvilChunkLoader

- All Implemented Interfaces:
    IChunkLoader, IThreadedFileIO

      public class AnvilChunkLoader
      extends Object
      implements IChunkLoader, IThreadedFileIO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `File` | `chunkSaveLocation` Save directory for chunks using the Anvil format

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnvilChunkLoader(File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `chunkTick()` Called every World.tick()
    `Chunk` | `loadChunk(World par1World, int par2, int par3)` Loads the specified(XZ) chunk into the specified world.
    `void` | `saveChunk(World par1World, Chunk par2Chunk)`
    `void` | `saveExtraChunkData(World par1World, Chunk par2Chunk)` Save extra data associated with this Chunk not normally saved during autosave, only during chunk unload.
    `void` | `saveExtraData()` Save extra data not associated with any Chunk.
    `boolean` | `writeNextIO()` Returns a boolean stating if the write was unsuccessful.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chunkSaveLocation

          public final File chunkSaveLocation

      Save directory for chunks using the Anvil format

  - ### Constructor Detail

    - #### AnvilChunkLoader

          public AnvilChunkLoader(File par1File)

  - ### Method Detail

    - #### loadChunk

          public Chunk loadChunk(World par1World,
                        int par2,
                        int par3)
                          throws IOException

      Loads the specified(XZ) chunk into the specified world.
      Specified by:
        `loadChunk` in interface `IChunkLoader`
      Throws:
        `IOException`

    - #### saveChunk

          public void saveChunk(World par1World,
                       Chunk par2Chunk)
                         throws MinecraftException,
                                IOException

      Specified by:
        `saveChunk` in interface `IChunkLoader`
      Throws:
        `MinecraftException`
        `IOException`

    - #### writeNextIO

          public boolean writeNextIO()

      Returns a boolean stating if the write was unsuccessful.
      Specified by:
        `writeNextIO` in interface `IThreadedFileIO`

    - #### saveExtraChunkData

          public void saveExtraChunkData(World par1World,
                                Chunk par2Chunk)

      Save extra data associated with this Chunk not normally saved during autosave, only during chunk unload. Currently unused.
      Specified by:
        `saveExtraChunkData` in interface `IChunkLoader`

    - #### chunkTick

          public void chunkTick()

      Called every World.tick()
      Specified by:
        `chunkTick` in interface `IChunkLoader`

    - #### saveExtraData

          public void saveExtraData()

      Save extra data not associated with any Chunk. Not saved during autosave, only during world unload. Currently unused.
      Specified by:
        `saveExtraData` in interface `IChunkLoader`